path <- '/esarchive/exp/ecearth/a1ua/cmorfiles/DCPP/EC-Earth-Consortium/EC-Earth3/dcppA-hindcast/$member$/Amon/$var$/gr/v20190713/$var$_Amon_*_s$sdate$-$member$_gr_$fyear$.nc'

data <- Start(dat = path, 
              var = 'tos',
              sdate = paste0(1960),
              time = indices(1:2), #'all',
              lat = 'all',
              lon = 'all',
#              lat = values(list(-90, 90)),
#              lon = values(list(0, 359.9)),
#              lat_reorder = Sort(decreasing = F),
#              lon_reorder = CircularSort(0, 360),
#              lat_var = 'lat',
#              lon_var = 'lon',
              fyear = indices(1),
              member = indices(1:2), #'all',
#              fyear_depends = 'sdate',
#              time_across = 'fyear',
#              merge_across_dims = TRUE,
              transform = CDORemapper, 
              transform_extra_cells = 2, 
              transform_params = list(grid = 'r100x50', method = 'conservative', crop = FALSE), 
              transform_vars = c('lat','lon'),
              synonims = list(lon = c('lon', 'longitude'), lat = c('lat', 'latitude')),
              return_vars = list(lat = 'dat', lon = 'dat', time = 'sdate'),
              retrieve = FALSE)

  func <- function(x) {
    a <- mean(x, na.rm = TRUE)
#    dim(a) <- c(time = length(a))   #give it a name!!!!
    return(a)
  }
  step <- Step(func, target_dims = c('time'),
                    output_dims = NULL)
  wf <- AddStep(data, step)
  res <- Compute(wf,
                 chunks = list(member = 2))
